/*
  PuttyAgent plugin for KeePass 1
  Copyright (C) 2011 Nikolaus Hammler <nikolaus@hammler.net>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

#ifndef __PUTTY_ADDITIONAL
#define __PUTTY_ADDITIONAL

int key_type_data(const char *buf, int len);
int rsakey_pubblob_data(const char *data, int len, void **blob, int *bloblen, char **commentptr, const char **errorstr);
unsigned char *ssh2_userkey_loadpub_data(const char *data, int len, char **algorithm, int *pub_blob_len, char **commentptr, const char **errorstr);
int loadrsakey_data(const char *data, int len, struct RSAKey *key, char *passphrase, const char **errorstr);
struct ssh2_userkey *ssh2_load_userkey_data(const char *data, int len, char *passphrase, const char **errorstr);
#endif

