/*
  PuttyAgent plugin for KeePass 1
  Copyright (C) 2011 Nikolaus Hammler <nikolaus@hammler.net>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

#pragma once

#include "resource.h"
#include "afxwin.h"
#include "KeyHandler.h"

class CViewKeysDlg : public CDialog
{
	DECLARE_DYNAMIC(CViewKeysDlg)

public:
	CViewKeysDlg(CWnd* pParent, CKeyList &keyList);   // Standardkonstruktor
	virtual ~CViewKeysDlg();

// Dialogfelddaten
	enum { IDD = IDD_VIEWKEYS };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV-Untersttzung

	DECLARE_MESSAGE_MAP()
private:
	CKeyList &m_keyList;
	CListBox m_ctrlKeys;
public:
	virtual BOOL OnInitDialog();
};
